Package healpix.essentials

## Enum Scheme

- java.lang.Object
- - java.lang.Enum<Scheme>
  - - healpix.essentials.Scheme

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Scheme>`

    public enum Scheme
    extends java.lang.Enum<Scheme>

The Healpix pixel ordering scheme.

### Enum Constant Summary

Enum Constants
`NESTED` NESTED ordering.
`RING` RING ordering.

### Method Summary

All Methods Static Methods Concrete Methods
`static Scheme` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Scheme[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RING

    public static final Scheme RING

RING ordering.

#### NESTED

    public static final Scheme NESTED

NESTED ordering.

### Method Detail

#### values

    public static Scheme[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Scheme c : Scheme.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Scheme valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null